<!DOCTYPE html>
<html lang="en">

<head>
    <?php include('layouts/header-script.php'); ?>
    <?php include('data/products/dynamic_content.php') ?>
    <?php
    $Category = "";

    $category_title = "";
    $page = "";

    //when the GET variable is empty
    if (empty($_GET['page'])) {
        header('Location: index.php');
    }

    //when the GET variable is empty
    if (empty($_GET['category'])) {
        header('Location: index.php');
    }

    /* get products */
    foreach ($products as $product) {

        if (isset($_GET['category'])) {
            $category = $_GET['category'];
        }
    }


    //load index page when an unknown category is typed in the address bar
    if (
        $category != "Clinical Chemistry Analyzers" &&
        $category != "Clinical Chemistry Reagents" &&
        $category != "Calibrators and Standards" &&
        $category != "Calibrators and Standards (Kit Specific)" &&
        $category != "Haematology Analyzers" &&
        $category != "ESR System" &&
        $category != "ELISA Analyzers" &&
        $category != "ELISA Reagents" &&
        $category != "Coagulation Analyzers" &&
        $category != "Coagulation Reagents" &&
        $category != "Urinalysis" &&
        $category != "Microscopes" &&
        $category != "Lab Equipment" &&
        $category != "Rapid Screening Tests" &&
        $category != "HbA1c Analyzer" &&
        $category != "Point of Care Testing Devices" &&
        $category != "Molecular Diagnostic Systems" &&
        $category != "Immunoheamatology Reagents (Blood Grouping/Blood Blanking)"
    ) {
        header('Location: index.php');
    }

    foreach ($categories as $cat) {
        if ($cat->title == $category) {
            $category_title = $cat->title;
            $category_description = $cat->desc;
        }
    }
    ?>

</head>

<body>
    <div class="layout-theme animated-css" data-header="sticky" data-header-top="200">

        <?php include('layouts/top-bar.php'); ?>

        <!-- HEADER -->
        <div class="header">
            <?php include('layouts/menu-bar.php'); ?>
        </div>
        <!-- HEADER END -->


        <div class="ui-title-page bg_title bg_transparent">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <h1>OUR Products</h1>
                        <div class="ui-subtitle-page"><?php echo $category_title; ?></div>
                    </div>
                </div>
            </div>
        </div><!-- end ui-title-page -->


        <div class="border_btm">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <ol class="breadcrumb">
                            <li><a href="index.php"><i class="icon icon-home color_primary"></i></a></li>
                            <li class="active"><?php echo $category_title; ?></li>
                        </ol>
                    </div>
                </div>
            </div>
        </div><!-- end breadcrumb -->


        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <main class="main-content">
                        <ul class="products">
                            <?php
                            $count = 0;
                            $startPage = $_GET['page'];
                            $perPage = 8;
                            $currentRecord = 8;
                            foreach ($products as $product) {
                                if ($product->category == $category) {
                                    $count++;
                                    $currentRecord += 1;

                                    if ($currentRecord > ($startPage * $perPage) && $currentRecord <= ($startPage * $perPage + $perPage)) {
                            ?>
                                        <li class="products__item wow bounceInRight" data-wow-delay=".5s">
                                            <a class="products__foto helper" href="product.php?category=<?php echo $category; ?>&amp;id=<?php echo $product->id ?>">
                                                <img src="<?php echo $product->image; ?>" height="226" width="226" alt="<?php echo $product->model ?>">
                                            </a>
                                            <h4 class="products__name"><?php echo $product->model ?></h4>
                                            <div class="products__info ui-text"><?php echo $product->title ?>
                                                <span class="price-block__price" style="font-size: 15px;"><?php echo $product->smdesc; ?></span>
                                            </div>
                                            <div class="products__btn text-center">
                                                <a class="btn" href="product.php?category=<?php echo $category; ?>&amp;id=<?php echo $product->id ?>"><i class="icon icon-link"></i> READ MORE</a>
                                            </div>
                                            <span class="products__label"><?php echo $product->brand ?></span>
                                        </li>
                                <?php }
                                }; ?>
                            <?php };  ?>
                        </ul><!-- end products -->

                        <div class="text-center">
                            <ul class="pagination">
                                <?php for ($i = 1; $i < ($currentRecord / $perPage); $i++) { ?>
                                    <li class="<?php if ($i == $_GET['page']) {
                                                    echo 'active';
                                                } ?> "><?php echo ("<a class='page-link' href='category.php?category=" . $category . "&page=" . $i . "'>" . $i . "</a>"); ?></li>
                                <?php }   ?>
                            </ul>
                        </div>
                    </main>
                </div><!-- end col -->
            </div><!-- end row -->
        </div><!-- end container -->
        <?php include('layouts/footer.php'); ?>

    </div><!-- end layout-theme -->

    <span class="scroll-top bg-color_second"> <i class="fa fa-angle-up"> </i></span>
    <div id="page-preloader">
        <div class="spinner-loader"> <img width="294" height="50" alt="Logo" src="img/logo.png" class="logo__loader">
            <div class="heartbeat-loader"></div>
        </div>
    </div>

    <!-- SCRIPTS -->
    <?php include('layouts/footer-script.php'); ?>
</body>

</html>