<!DOCTYPE html>
<html lang="en">

<head>
    <?php include('layouts/header-script.php'); ?>
    <?php include('data/products/dynamic_content.php') ?>
    <?php
    $id = "";

    //when the GET variable is empty
    if (empty($_GET['id'])) {
        header('Location: index.php');
    }

    if (empty($_GET['category'])) {
        header('Location: index.php');
    }
    if (isset($_GET['id'])) {
        $id = $_GET['id'];
    }

    if (isset($_GET['category'])) {
        $category = $_GET['category'];
    }

    $isExist = false;


    /* get products */
    foreach ($products as $product) {

        if ($id == $product->id && $category == $product->category) {
            $pr_maincate = $product->maincate;
            $pr_category = $product->category;
            $pr_title = $product->title;
            $pr_model = $product->model;
            $pr_brand = $product->brand;
            $pr_smdesc = $product->smdesc;
            $pr_image = $product->image;
            $pr_description = $product->description;
            $pr_description2 = $product->description2;
            $pr_description3 = $product->description3;
            $pr_link = $product->link;

            $isExist = true;
        }
    }


    //load index page when an unknown category is typed in the address bar
    if (
        $category != "Clinical Chemistry Analyzers" &&
        $category != "Clinical Chemistry Reagents" &&
        $category != "Calibrators and Standards" &&
        $category != "Calibrators and Standards (Kit Specific)" &&
        $category != "Haematology Analyzers" &&
        $category != "ESR System" &&
        $category != "ELISA Analyzers" &&
        $category != "ELISA Reagents" &&
        $category != "Coagulation Analyzers" &&
        $category != "Coagulation Reagents" &&
        $category != "Urinalysis" &&
        $category != "Microscopes" &&
        $category != "Lab Equipment" &&
        $category != "Rapid Screening Tests" &&
        $category != "HbA1c Analyzer" &&
        $category != "Point of Care Testing Devices" &&
        $category != "Molecular Diagnostic Systems" &&
        $category != "Immunoheamatology Reagents (Blood Grouping/Blood Blanking)"
    ) {
        header('Location: index.php');
    }

    foreach ($categories as $cat) {
        if ($cat->title == $category) {
            $category_title = $cat->title;
            $category_description = $cat->desc;
        }
    }
    ?>

</head>

<body>
    <div class="layout-theme animated-css" data-header="sticky" data-header-top="200">

        <?php include('layouts/top-bar.php'); ?>

        <!-- HEADER -->
        <div class="header">
            <?php include('layouts/menu-bar.php'); ?>
        </div>
        <!-- HEADER END -->


        <div class="ui-title-page bg_title bg_transparent">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <h1>OUR Product</h1>
                        <div class="ui-subtitle-page"><?php echo  $pr_model; ?> </div>
                    </div>
                </div>
            </div>
        </div><!-- end ui-title-page -->


        <div class="border_btm">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12">
                        <ol class="breadcrumb">
                            <li><a href="index.php"><i class="icon icon-home color_primary"></i></a></li>
                            <li class="active"><?php echo  $pr_maincate; ?> -> <?php echo $category_title; ?>-><?php echo  $pr_title; ?></li>
                        </ol>
                    </div>
                </div>
            </div>
        </div><!-- end breadcrumb -->


        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="padd_left_20">
                        <main class="main-content">
                            <section class="product-card animated" data-animation="bounceInUp">
                                <div class="product-card__slider clearfix" id="image-block">
                                    <div class="slider-product" class="flexslider">
                                        <ul class="slides">
                                            <li>
                                                <a href="<?php echo $pr_image; ?>" rel="prettyPhoto[gallery1]">
                                                    <img src="<?php echo $pr_image; ?>" alt="<?php echo  $pr_title; ?>" />
                                                    <span class="products__label"><?php echo  $pr_brand; ?></span>
                                                </a>
                                            </li>
                                        </ul>
                                        <a class="btn btn_upload bg-color_second" href="<?php echo  $pr_link; ?>" target="_blank"><i class="icon flaticon-medical109"></i> More Details</a>
                                    </div>
                                </div><!-- end product-card__slider -->
                                <div class="product-card__options">
                                    <h2 class="product-card__title"><?php echo  $pr_model; ?></h2>
                                    <div class="product-card__subtitle"><?php echo  $pr_smdesc; ?></div>
                                    <div class="price-block">
                                        <span class="price-block__name color_second" style="padding-top: 15px;"><?php echo  $pr_title; ?></span>
                                    </div>
                                    <div class="clearfix"></div>
                                    <span class="product-card__label" style="padding-top: 15px;">Brief Description</span>
                                    <div class="ui-text"><?php echo $pr_description; ?></div>
                                    <div class="ui-text"><?php echo $pr_description2; ?></div>
                                    <div class="ui-text"><?php echo $pr_description3; ?></div>
                                </div><!-- end product-card__options -->
                            </section><!-- end product-card -->
                        </main><!-- end main-content -->
                    </div><!-- end padd_left_20 -->
                </div><!-- end col -->
            </div><!-- end row -->
        </div><!-- end container -->
        <div class="separator_100"></div>
        <?php include('layouts/footer.php'); ?>

    </div><!-- end layout-theme -->

    <span class="scroll-top bg-color_second"> <i class="fa fa-angle-up"> </i></span>
    <div id="page-preloader">
        <div class="spinner-loader"> <img width="294" height="50" alt="Logo" src="img/logo.png" class="logo__loader">
            <div class="heartbeat-loader"></div>
        </div>
    </div>

    <!-- SCRIPTS -->
    <?php include('layouts/footer-script.php'); ?>
</body>

</html>